<button (click)="offset=0" style="background-color: red; gap:10px"> Button 1</button>
<button (click)="offset=1" style="background-color: green; gap:10px"> Button 2</button>
<button (click)="offset=2" style="background-color: blue">Button 3</button>

<div *ngFor="let color of colors;let i=index" style="display:flex; gap:20px; margin-top:20px;">  
    <div id="name" [style.background]="colors[(i+offset)%3]" style="height: 300px; width: 300px; border:3px solid black; display: flex; justify-content: center; align-items: center;">
    </div> 
    <div id="name1" [style.color]="colors[(i+offset)%3]" style="height: 300px; width: 300px; color:black; border:3px solid black; display: flex; justify-content: center; align-items: center;">{{colors[(i+offset)%3]}}
    </div>
</div>